//
//  ProfileDisponibilityCell.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 18/08/2025.
//

import SwiftUI

struct ProfileDisponibilityCell: View {
    var body: some View {
        VStack(alignment: .leading, spacing: 16) {
            SQText("Informations pratiques")
                .sqSize(18)
                .sqFont(.semiBold)
            VStack(alignment: .leading, spacing: 8) {
                SQText("Informations tarifaires et promotionnelles")
                    .sqFont(.semiBold)
                SQText("Mes devis sont toujours gratuits, et j’offre 5% à ma clientèle refaisant appel à moi pour leur futur projet.")
            }
            SQDivider()
            VStack(alignment: .leading, spacing: 8) {
                SQText("Disponiblités")
                    .sqFont(.semiBold)
                HStack(spacing: 24) {
                    VStack(alignment: .leading, spacing: 8) {
                        SQText("Lundi :")
                        SQText("Mardi :")
                        SQText("Mercredi :")
                        SQText("Jeudi :")
                        SQText("Vendredi :")
                        SQText("Samedi :")
                        SQText("Dimanche :")
                    }
                    VStack(alignment: .leading, spacing: 8) {
                        SQText("Non renseigné")
                        SQText("Non renseigné")
                        SQText("Non renseigné")
                        SQText("Non renseigné")
                        SQText("Non renseigné")
                        SQText("Non renseigné")
                        SQText("Non renseigné")
                    }
                }
            }
        }
    }
}

#Preview {
    ProfileDisponibilityCell()
        .padding()
}
